/*
** Charge_Filter.h for Gmurf in ~/Gmurf/Charge_Filter.h
** 
** Made by 
** E-mail   <ahes@ker-ys.epita.fr>
** 
** Started on  Fri Mar 12 00:50:06 1999 
** Last update Sun Mar 14 04:49:33 1999 
*/
#ifndef __RUN_FILTER_H
#define __RUN_FILTER_H

#include "Constants.h"
#include <sys/types.h>
#include "TempGmurf.h"
#include "Select.h"

typedef struct	s_filter_data
{
  int		rate;			/* rate of the WAV  */
  size_t	temp_size;		/* size of the WAV  */
  size_t	chanel;			/* chanel */
}		t_filter_data;  

int exec_filter(	/* run a filter */
	char *,			/* path of the filter */
	t_filter_data *,	/* datas for the filter */
	t_tempgmurf *,		/* path of the temp file */
	t_select *		/* the selection */
);

#endif /* __RUN_FILTER_H */














